#!/usr/bin/perl

require 'utils.pl';

$export = "exportfs |";
$mtab   = "/etc/mtab";

open(EXPORT, $export);

$exported = 0;
$imported = 0;
$mounted = 0;

# Primero los FS que se exportan
while($line = <EXPORT>) {
  $exported++;
}
close(EXPORT);

# Ahora los que importamos
open(IMPORT, $mtab);

while($line = <IMPORT>) {
  chop $line;
  @data = split(' ',$line);
  if($data[2] eq "nfs") {
    $imported++;
  }
  $mounted++;
}

sub format_output {
  $sep = ":";
  $out = join($sep, $imported, $exported, $mounted);
}

## Ahora, abrimos un socket al servidor del Sismo y
## transmitimos los datos.
$socket = IO::Socket::INET->new(PeerAddr => $servername,
				PeerPort => $serverport,
				Proto    => "tcp",
				Type     => $SOCK_STREAM)
  or die "No me puedo conectar a $servername:$serverport : $!\n";

## Enviando "hello"  al servidor:
$id = sys_id('nfs');
print $socket "$id\n";

## Leyendo la respuesta:
chop( $answer = <$socket> );
## IF "error"  THEN "die"
unless ( $answer eq "olleh" ) {
  die "Algo no le gust al servidor: $answer\n"
}

# Todo va bien, as que formateamos la salida:
format_output;

# y la enviamos por el socket:
print $socket "$out\n";

## fin de la transmision:
print $socket ".\n";

## Esperar "bye" y terminar
chop( $answer = <$socket> );
## IF "error"  THEN "die"
unless ( $answer eq "bye" ) {
  die "Algo no le gust al servidor: $answer\n"
}
