;; Archivo de configuracin para el demonio
;; y cliente de web del SisMo.

;; Por el momento slo cosas muy simples pueden
;; ser adecuadas aqu.

;; En qu puerto escucha el demonio del SisMo:
(define sismo-port
  (make-parameter
   8989
   (lambda (n)
     (if (number? n) n
	 (error "sismo-port debe ser un nmero.")))))

;; El nmero mximo de clientes que tendr en espera
;; en la cola del puerto del demonio.  Las rutinas que
;; implementan TCP se encargan de avisar a los clientes
;; que lleguen cuando est llena la cola que el servidor
;; est ocupado.
(define sismo-max-waiting-clients
  (make-parameter
   30
   (lambda (n)
     (if (number? n) n
	 (error "sismo-max-waiting-clients debe ser un nmero.")))))

;; En qu archivo guarda su log el SisMo:
(define sismo-log
  (make-parameter "/tmp/sismo.log"))

;; hostname del servidor del SisMo:
(define sismo-server-name
  (make-parameter "localhost"))

;; Las siguientes dos variables, son rutas a directorios donde el CGI
;; principal del sismo guardar las grficas que vaya generando.
;; Quedarn en el directorio tmp-directory, por lo que es una buena
;; idea que peridicamente borres su contenido.
(define graph-maker "/home/karla/tesis/server/www/graph/graph")
(define tmp-directory "/home/karla/tesis/server/www/htdocs/tmp/")

