#!/bin/sh
":";exec mzscheme -r $0

;; Servidor de Web para el SisMo:

;; *********************
;;   Biblioteca de Web
;; *********************
(require-library "web-server.ss" "server")

;; El servidor del Sismo:
(load-relative "daemon.ss")

;; La raz del servidor de web est aqu:
(define sismo-virtual-system
  (lambda (host)
    "/home/karla/tesis/server/www"))

;; La funcin `serve' regresa una funcin que
;; sirve para matar el servidor de Web.
(define sismo-web
  (serve 8080 30 sismo-virtual-system))

(printf "El SisMo Web Server est arriba!.~n")

(define kill-sismo (sismo-serve))

(let loop ((spin 0))
  (printf "~a> " spin)
  (let ((comm (read-line)))
    (cond ((string=? comm "exit")
	   (sismo-web)  ;; Terminando el servidor de web
	   (kill-sismo) ;; Terminando al servidor del sismo
	   (exit 0))
	  (else
	   (printf "comando no reconocido~nPor el momento slo entiendo: `exit'.~n~n")))
    (loop (add1 spin))))
