#!/usr/bin/perl

require 'utils.pl';

# Linux:
# $W     = "w -hu | ";
# FreeBSD:
$W     = "w -h | ";
$PROCS = "w -h ";
$LINES = "wc -l ";

$passfile = "/etc/passwd";

open (ANS,$W);

$count = 0;

while ($line = <ANS>) {
  chop $line;
  @data = split(' ',$line);
  
  # Obtenemos el nmero de sesiones del usuario en cuestin:
  open(SESS, $PROCS . $data[0] . " | " . $LINES . " |");
  chop($num_sess = <SESS>);
  close(SESS);

  # Checamos su home directory en el passwd.
  open(PASSWD, $passfile);
  @array = grep(/^$data[0]/, <PASSWD>);
  @res = split(':', $array[0]);
  $home = $res[5];
  close(PASSWD);

  # Ahora guardamos toda esta info.
  $users[$count]     = $data[0];
  $ttys[$count]      = $data[1];
  $ttys[$count]      =~ s/:/./g;
  $froms[$count]     = $data[2];
  $froms[$count]     =~ s/:/./g;
  $whats[$count]     = $data[7];
  $whats[$count]     =~ s/:/./g;
  $sessions[$count]  = $num_sess;
  $loginat[$count]   = $data[3];
  $loginat[$count]   =~ s/:/./g;
  $count++;
}
close(ANS);


## Ahora, abrimos un socket al servidor del SisMo y
## transmitimos los datos.
$socket = IO::Socket::INET->new(PeerAddr => $servername,
				PeerPort => $serverport,
				Proto    => "tcp",
				Type     => $SOCK_STREAM)
  or die "No me puedo conectar a $servername:$serverport : $!\n";

## Enviando "hello"  al servidor:
$id = sys_id('users');
print $socket "$id\n";

## Leyendo la respuesta:
chop( $answer = <$socket> );
## IF "error"  THEN "die"
unless ( $answer eq "olleh" ) {
  die "Algo no le gust al servidor: $answer\n"
}

# Todo va bien, as que formateamos la salida:
$sep = ":";
$i = 0;
while ($i < $count) {
  $out = join($sep, $users[$i], $ttys[$i], $froms[$i], $whats[$i], $sessions[$i], $loginat[$i]);
  print $socket "$out\n";
  $i++;
}

## fin de la transmision:
print $socket ".\n";

## Esperar "bye" y terminar
chop( $answer = <$socket> );
## IF "error"  THEN "die"
unless ( $answer eq "bye" ) {
  die "Algo no le gust al servidor: $answer\n"
}
